For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Getting Started
    • Introduction
    • How Verifa Works
    • Quickstart
    • Choosing an Integration Method
  • Use Cases
    • KYC Onboarding
    • Age Verification
    • AML Compliance
    • Fraud Prevention
    • Marketplace Trust & Safety
  • Core Concepts
    • Overview
    • Sessions
    • Verifications & Checks
    • Workflows
    • Identities
    • Cases
    • Screening & Reports
    • Lists
  • Integration Guides
    • Overview
    • JavaScript SDK
    • Web Capture Flow
    • API-Only Integration
    • Mobile SDK
    • Webhooks Guide
    • MCP Server
    • Migrating from Persona
  • API Details
    • Overview
    • Authentication
    • Pagination
    • Rate Limiting
    • Versioning
    • Errors
    • Webhooks
    • Idempotency
    • Key Inflection
    • Data Access
    • Data Retention
  • Tutorials
    • Creating Your First Verification Session
    • Creating a Workflow
    • Receiving Webhooks & Validating Signatures
    • Handling Webhook Events
    • Custom Document Types & AI Extraction
  • Best Practices
    • Testing
    • Preventing Duplicates
    • Fraud Signals
    • Changelog
  • API Reference
      • GETList sessions
      • POSTCreate a verification session
      • GETGet a session
      • PATCHUpdate a session
      • POSTResume a session
      • POSTResend the invitation email
      • POSTExpire a session
      • POSTSimulate a session action (sandbox only)
      • GETGet session result
      • DELRedact session data
      • GETExport session data (GDPR Art. 15 DSAR)
      • POSTBulk redact sessions
      • POSTSubmit a session for verification
      • POSTAdd a tag to a session
      • POSTRemove a tag from a session
      • POSTReplace all tags on a session
      • POSTGenerate a one-time verification link
      • GETList one-time links for a session
      • GETList verification checks
      • POSTRetry a failed verification check
      • GETList verification attempts
      • GETGenerate PDF verification report
      • POSTSubmit external gate decision
      • POSTReprocess a session
      • GETList webhook deliveries for a session
      • GETGet session risk assessment
API ReferenceSessions

Submit a session for verification

POST
https://devapi.withverifa.com/api/v1/sessions/:session_id/submit
POST
/api/v1/sessions/:session_id/submit
$curl -X POST https://devapi.withverifa.com/api/v1/sessions/session_id/submit \
> -H "X-API-Key: <apiKey>"
1{
2 "id": "ses_abc123",
3 "status": "processing",
4 "is_sandbox": true,
5 "message": "string"
6}
Submit a session for verification processing after uploading all required documents via the API. Validates that required documents are present (id_front, id_back for driver's licenses, selfie if face_match is in the workflow) and triggers async verification. For sandbox sessions, returns `sandbox_pending` status — use the `/simulate` endpoint to choose an outcome. **Required scope:** `sessions:write`
Was this page helpful?
Previous

Add a tag to a session

Next
Built with

Submit a session for verification processing after uploading all required documents via the API. Validates that required documents are present (id_front, id_back for driver’s licenses, selfie if face_match is in the workflow) and triggers async verification.

For sandbox sessions, returns sandbox_pending status — use the /simulate endpoint to choose an outcome.

Required scope: sessions:write

Authentication

X-API-Keystring

Organization API key. Keys are prefixed with vk_live_ (production) or vk_sandbox_ (sandbox).

Path parameters

session_idstringRequired

Session ID (ses_*).

Headers

Verifa-VersiondateOptional

API version date string (e.g. 2026-02-01). If omitted, the version pinned to your API key is used.

Response

Session submitted for verification.
idstring
Public ID of the session.
statusenum
The session's new status after submission.
Allowed values:
is_sandboxboolean
Whether this is a sandbox session.
messagestring

Human-readable status message.

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error